Ecore_IMF - Ecore Input Method Library Functions

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Functions
Ecore_IMF - Ecore Input Method Library Functions
Ecore

Utility functions that set up and shut down the Ecore Input Method library. More...

## Modules
| Ecore Input Method Context Functions
| Ecore Input Method Context Module Functions
| Functions that should be used by Ecore Input Method Context modules.
| Ecore Input Method Context Evas Helper Functions
| Helper functions to make it easy to use Evas with Ecore_IMF.

## Functions
EAPI int | ecore_imf_init (void)
| Initialises the Ecore_IMF library.
EAPI int | ecore_imf_shutdown (void)
| Shuts down the Ecore_IMF library.
EAPI void | ecore_imf_module_register (const Ecore_IMF_Context_Info *info, Ecore_IMF_Context *(*imf_module_create)(void), Ecore_IMF_Context *(*imf_module_exit)(void))
| Registers an Ecore_IMF module.
EAPI Eina_Bool | ecore_imf_input_panel_hide (void)
| Hides the input panel.

## Detailed Description

Utility functions that set up and shut down the Ecore Input Method library.

## Function Documentation

## ◆ ecore_imf_init()

EAPI int ecore_imf_init | ( | void |  | ) |

Initialises the Ecore_IMF library.

Returns
  Number of times the library has been initialised without being shut down.

References ecore_event_type_new(), ecore_init(), ecore_shutdown(), eina_log_domain_register(), and EINA_LOG_ERR.

Referenced by elm_quicklaunch_fork(), and elm_quicklaunch_sub_init().

## ◆ ecore_imf_shutdown()

EAPI int ecore_imf_shutdown | ( | void |  | ) |

Shuts down the Ecore_IMF library.

Returns
  Number of times the library has been initialised without being shut down.

References ecore_event_type_flush, ecore_shutdown(), and eina_log_domain_unregister().

Referenced by elm_quicklaunch_sub_init(), and elm_quicklaunch_sub_shutdown().

## ◆ ecore_imf_module_register()

EAPI void ecore_imf_module_register | ( | const Ecore_IMF_Context_Info * | info,
|  | Ecore_IMF_Context *(*)(void) | imf_module_create,
|  | Ecore_IMF_Context *(*)(void) | imf_module_exit
| ) |  |

Registers an Ecore_IMF module.

Parameters

  info | An Ecore_IMF_Context_Info structure
  imf_module_create | A function to call at the creation
  imf_module_exit | A function to call when exiting

References EINA_FREE_CB, eina_hash_add(), eina_hash_string_superfast_new(), and EINA_SAFETY_ON_NULL_RETURN.

## ◆ ecore_imf_input_panel_hide()

EAPI Eina_Bool ecore_imf_input_panel_hide | ( | void |  | ) |

Hides the input panel.

Returns
  EINA_TRUE if the input panel will be hidden EINA_FALSE if the input panel is already in hidden state

Since
  1.8.0

References ecore_imf_context_input_panel_hide(), ecore_imf_context_input_panel_state_get(), ECORE_IMF_INPUT_PANEL_STATE_HIDE, EINA_FALSE, and EINA_TRUE.